Skip to main content
GET
/
api
/
v1
/
indexes
/
{index_id}
/
corporate-actions
cURL
curl --request GET \
  --url https://api.tilt.io/api/v1/indexes/{index_id}/corporate-actions \
  --header 'X-Api-Key: <api-key>'
{
  "meta": {
    "index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "effective_date": "2023-12-25",
    "publish_datetime": "2023-11-07T05:31:56Z",
    "event_count": 123
  },
  "data": [
    {
      "proprietary_id": "<string>",
      "isin": "<string>",
      "cusip": "<string>",
      "ticker": "<string>",
      "mic": "<string>",
      "security_name": "<string>",
      "ca_event_id": "<string>",
      "ca_event_type": "<string>",
      "ca_sub_type": "<string>",
      "row_type": "<string>",
      "parent_ca_event_id": "<string>",
      "paf": "<string>",
      "old_index_shares": "<string>",
      "new_index_shares": "<string>",
      "close_price_pre_event": "<string>",
      "close_price_post_event": "<string>",
      "redistribution_shares": "<string>",
      "cash_dividend": {
        "gross_dividend_per_share": "<string>",
        "dividend_currency": "<string>",
        "dividend_fx_rate": "<string>"
      },
      "stock_distribution": {
        "t_term": "<string>"
      },
      "rights_issue": {
        "subscription_price": "<string>",
        "t_rights_ratio": "<string>"
      },
      "share_buyback": {
        "buyback_price": "<string>",
        "t_buyback_ratio": "<string>"
      },
      "merger_acquisition": {
        "ma_consideration_type": "<string>",
        "t_stock": "<string>",
        "t_cash": "<string>",
        "acquirer_proprietary_id": "<string>",
        "acquirer_isin": "<string>",
        "acquirer_cusip": "<string>",
        "acquirer_ticker": "<string>",
        "acquirer_is_constituent": true
      },
      "spin_off": {
        "spin_off_ratio": "<string>",
        "spin_off_eligible": true,
        "spun_off_proprietary_id": "<string>",
        "spun_off_isin": "<string>",
        "spun_off_cusip": "<string>",
        "spun_off_ticker": "<string>",
        "theoretical_price": "<string>"
      },
      "removal": {
        "removal_flag": "<string>",
        "removal_price": "<string>",
        "redistributed_market_cap": "<string>"
      },
      "identifier_change": {
        "new_isin": "<string>",
        "new_cusip": "<string>",
        "new_ticker": "<string>",
        "new_mic": "<string>"
      },
      "redistribution_rows": [
        {
          "ca_event_id": "<string>",
          "row_type": "<string>",
          "parent_ca_event_id": "<string>",
          "proprietary_id": "<string>",
          "isin": "<string>",
          "ticker": "<string>",
          "old_index_shares": "<string>",
          "new_index_shares": "<string>",
          "close_price_pre_event": "<string>",
          "redistribution_shares": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt

Use this file to discover all available pages before exploring further.

Description

Retrieves corporate actions for a specific index.

Parameters

Path Parameters

ParameterRequiredDescription
index_idYesThe unique identifier of the index

Query Parameters

ParameterRequiredDescription
dateNoEffective date in YYYY-MM-DD format. Defaults to the most recent date with corporate actions.

Default Behavior

  • If date is not provided, returns corporate actions for the most recent date with corporate actions

Authorizations

X-Api-Key
string
header
required

Path Parameters

index_id
string<uuid>
required

Query Parameters

date
string

Effective date (YYYY-MM-DD). Defaults to most recent date with CAs.

Response

200 - application/json
meta
object
required
data
object[]
required